Bug 1023009 - [abrt] calendar-1.26-7.20110531cvs.fc20: isnow: Process /usr/bin/calendar was killed by signal 11 (SIGSEGV)
[abrt] calendar-1.26-7.20110531cvs.fc20: isnow: Process /usr/bin/calendar was...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: calendar (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
abrt_hash:9bbd5b1d70d5f414ac1ae90fe1d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-24 08:53 EDT by Branislav Blaškovič
Modified: 2014-06-23 11:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-23 11:14:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (38.58 KB, text/plain)
2013-10-24 08:54 EDT, Branislav Blaškovič
no flags Details
File: cgroup (161 bytes, text/plain)
2013-10-24 08:54 EDT, Branislav Blaškovič
no flags Details
File: core_backtrace (1.17 KB, text/plain)
2013-10-24 08:54 EDT, Branislav Blaškovič
no flags Details
File: dso_list (423 bytes, text/plain)
2013-10-24 08:54 EDT, Branislav Blaškovič
no flags Details
File: environ (2.93 KB, text/plain)
2013-10-24 08:54 EDT, Branislav Blaškovič
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-24 08:54 EDT, Branislav Blaškovič
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-24 08:54 EDT, Branislav Blaškovič
no flags Details
File: maps (1.68 KB, text/plain)
2013-10-24 08:54 EDT, Branislav Blaškovič
no flags Details
File: open_fds (163 bytes, text/plain)
2013-10-24 08:54 EDT, Branislav Blaškovič
no flags Details
File: proc_pid_status (931 bytes, text/plain)
2013-10-24 08:54 EDT, Branislav Blaškovič
no flags Details
File: var_log_messages (406 bytes, text/plain)
2013-10-24 08:54 EDT, Branislav Blaškovič
no flags Details

  None (edit)
Description Branislav Blaškovič 2013-10-24 08:53:57 EDT
Description of problem:
I've run:
$ calendar -f calendar.ics

Version-Release number of selected component:
calendar-1.26-7.20110531cvs.fc20

Additional info:
reporter:       libreport-2.1.8
backtrace_rating: 4
cmdline:        calendar -f calendar.ics
crash_function: isnow
executable:     /usr/bin/calendar
kernel:         3.11.4-301.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (2 frames)
 #0 isnow at day.c:405
 #1 cal at io.c:233
Comment 1 Branislav Blaškovič 2013-10-24 08:54:01 EDT
Created attachment 815765 [details]
File: backtrace
Comment 2 Branislav Blaškovič 2013-10-24 08:54:04 EDT
Created attachment 815766 [details]
File: cgroup
Comment 3 Branislav Blaškovič 2013-10-24 08:54:07 EDT
Created attachment 815767 [details]
File: core_backtrace
Comment 4 Branislav Blaškovič 2013-10-24 08:54:14 EDT
Created attachment 815768 [details]
File: dso_list
Comment 5 Branislav Blaškovič 2013-10-24 08:54:17 EDT
Created attachment 815769 [details]
File: environ
Comment 6 Branislav Blaškovič 2013-10-24 08:54:20 EDT
Created attachment 815770 [details]
File: exploitable
Comment 7 Branislav Blaškovič 2013-10-24 08:54:24 EDT
Created attachment 815771 [details]
File: limits
Comment 8 Branislav Blaškovič 2013-10-24 08:54:27 EDT
Created attachment 815772 [details]
File: maps
Comment 9 Branislav Blaškovič 2013-10-24 08:54:33 EDT
Created attachment 815773 [details]
File: open_fds
Comment 10 Branislav Blaškovič 2013-10-24 08:54:36 EDT
Created attachment 815774 [details]
File: proc_pid_status
Comment 11 Branislav Blaškovič 2013-10-24 08:54:39 EDT
Created attachment 815775 [details]
File: var_log_messages
Comment 12 David Cantrell 2013-10-25 08:16:59 EDT
Can you attach the calendar.ics file you were using when running calendar?
Comment 14 David Cantrell 2014-06-18 09:27:24 EDT
Ah, ok, so the calendar(1) command cannot read .ics files.  It reads its own configuration file.  See the man page.  It's sort of a special format.  You use the #include directive to import common calendars in /usr/share/calendar.  But then you define your own events, one event per line, with a date (supports a variety of formats), then one or more tab characters, then a description of the event.

Segfaulting is ugly, but you're also not losing data.  calendar doesn't write anything, it just reads.  The best we can hope for is detection of .ics files and exiting with an error indicating the file format is not supported.  I have been working on a patch to do that, but it's ugly.  And it diverges significantly from upstream.  Since I rely on regularly importing code from OpenBSD, I try to keep my patch set small.  And I'm not really liking where this patch is taking me.

How important is this to you?  Consider calendar(1) will never support .ics files anyway, do you care?
Comment 15 Branislav Blaškovič 2014-06-19 04:38:56 EDT
I don't really need it it just ugly that it is segfaulting.

If you don't want to patch, just close it as WONTFIX.
Comment 16 David Cantrell 2014-06-23 11:14:55 EDT
I'm not really interested in changing up their parser too much because maintaining that patchset will just be more work.

Note You need to log in before you can comment on or make changes to this bug.